import { CodeGen } from  './CodeGen'
import { dRequest } from './DataTypes'
import './styles.pcss'

/**
 * You are Welcomne the Simple Span Parser Engine developed by Makoto World. 
 * 
 * To get start is very simples. You needo to pass a code using string, or a 
 * function.
 * 
 * If you choose 'string', attention to line breaks using '\n', but there is 
 * another way I think is more simples.
 * 
 * Define a new function as ilustrated below.
 * ```typescript
 * function
 * myCode() {
 *   return ( // [ ` == \x60 ( UTF-8 ) ] != [ ' \x27 ( UTF-8) == ' ]
 *   `  << \x60
 * 
 *      Here, you can write freely or copy and paste your complete code
 * 
 *   `  << \x60
 *   )
 * }
 * ```
 * ---
 * FUNCTION
 *   >> code: string      //Code to convert
 *   >> lang: string      //Programing language
 *   >> className: string // Your class
 *   << JSX.Elements
 */

export function 
HljsToReact( request: dRequest ) {
    const mw_cname  = 'hljsToReact mainBlock '
    const mix_cname = request?.className ? mw_cname + request.className: mw_cname

    if( request.code === '') 
        return (
            <span className='hljsToReact error-code'>
                Empty Code to convert
            </span>
        )
    if( request.lang === '' )
        return (
            <span className='hljsToReact error-lang'>
                Sorry! I don&apos;t work with auto programing language detection.
            </span>
        )


    const comp = (
        <pre >
            <CodeGen 
                code     ={request.code} 
                lang     ={request.lang.toLowerCase()} 
                className={mix_cname}
            />
        </pre>
    )

    return comp
}